Re: [vserver] Vserver on debian wheezy

From: Adrian Reyer <are_at_lihas.de>
Date: Thu 25 Apr 2013 - 20:33:09 BST
Message-ID: <20130425193309.GA28080@r2d2.s.lihas.de>

On Thu, Apr 25, 2013 at 04:14:14PM +0200, Etienne Vogt wrote:
> Is there anyone here running Vserver under Debian wheezy with the
> LiHas packages for kernel and util-vserver ?

I do, for somewhat obvious reasons.

> ~# vserver -v testvm start
> New network context is 2
> Adding <ip removed>
> New security context is 2
> save_ctxinfo: open("/var/run/vservers/testvm"): Permission denied
> The kernel used is linux-image-3.4.40-vs2.3.3.9+lihas1 and userland tools
> are util-vserver* 0.30.216-pre3034-1 both from the
> http://ftp.lihas.de/lihas-kernel/ repository.

I neither experienced this on updated servers squeeze->wheezy, nor on
fresh installed systems that directly used these util-vserver/kernel.
However, I have seen similar things with broken barrier-flags, usually
on systems that went some longer update-path. I suggest you check for
presence of the barrier flags on /vsevrers and absence everywhere else.
I have seen one on /usr/bin once, so really look everywhere. No idea how
it went there, had been a normal Debian squeeze install back then.

Regards,
        Adrian

-- 
LiHAS - Adrian Reyer - Hessenwiesenstra├če 10 - D-70565 Stuttgart
Fon: +49 (7 11) 78 28 50 90 - Fax:  +49 (7 11) 78 28 50 91
Mail: lihas_at_lihas.de - Web: http://lihas.de
Linux, Netzwerke, Consulting & Support - USt-ID: DE 227 816 626 Stuttgart
Received on Thu Apr 25 20:33:29 2013
[Next/Previous Months] [Main vserver Project Homepage] [Howto Subscribe/Unsubscribe] [Paul Sladen's vserver stuff]
Generated on Thu 25 Apr 2013 - 20:33:29 BST by hypermail 2.1.8